Bug 25759 - No way out of missing file dialog
No way out of missing file dialog
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-02-02 17:11 EST by Need Real Name
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-06 13:17:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-02-02 17:11:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.4.0-6mdk i586)

About half way through the installation I get the following message:

The file /mnt/source/./RedHat/RPMS/db1-devel-1.85-5.i386.rpm cannot be
opened, this is due to a missing file, a bad package or bad media. Press
<return> to try again.

Upon hitting the OK button, the same dialog pops up repeatedly. There is no
way to get out of the dialog. I would expect that there would be a "skip
file" button or at least a button to gracefully abort the installation.

I believe that the reason that I am getting the missing file error is
because of the method that I am using to install. I downloaded iso images
for both disc1 and disc2 and stored them on an existing linux installation.
I mounted each iso image through a loopback device and then NFS exported
the mounted directories. I start the new RedHat installation on a different
machine using bootnet.img floppy and choose an NFS install. I am guessing
that the NFS install assumes that the entire distribution (contents of
disc1 and disc2) are all on the same NFS share. When the installation gets
to a file that is on disc2 it cannot find it on the NFS share and produces
the error message that I described above.

I may be the only person that installs this way, but in case I'm not... It
would be a nifty feature if the installation could ask for the network
location (NFS or otherwise) of each installation disk (if applicable)

Reproducible: Always
Steps to Reproduce:
1.Start an NFS install from a share that only contains the contents of
2. Midway through the installation, the installer will complain that it is
missing a file (the file is actually present on disc2).


Actual Results:  The error dialog box only contains an "OK" button to retry
looking for the file. Each time the dialog is dismissed, it just reappears.
There is no way to dismiss the dialog.

Expected Results:  In addition to a "retry" button, there should also be a
"skip file" button which skip over a file if the installation can proceed
without that file, and a "abort installation" button which gracefully quits
the installer and reboots the machine.
Comment 1 Erik Troan 2001-02-06 13:17:36 EST
There are critical files on the CD, and the install letting you skip those would
result in a broken system.
Comment 2 Need Real Name 2001-02-06 13:41:33 EST
I understand that certain files are critical and that the installation cannot 
proceed without them... and this is EXACTLY what the dialog box should say if 
that is the case, rather then asking indefinitely if you would like to try 
again. In addition, it would be nice if there was a button that would 
gracefully bring down the system, instead of requiring a hard reboot. I 
realize that in the case of a failed installation there isn't any real need 
for a graceful reboot, but nonetheless it prevents the user from feeling like 
the application has totally locked up and the only way to fix it is to hit the 
power button.

I am surprised to find that a file critical to the install is located 
on the second disk. In the past, the second disk has been reserved for extra, 
non-required rpms. Has this changed with this latest version of RedHat?

Finally, my suggestion about having the network setup ask for the location of 
both the first and second disk was not addressed at all. Should I file a 
separate feature request, or has it been deemed that not enough people are 
interested in having this as an installation option?
Comment 3 Erik Troan 2001-02-06 16:33:26 EST
In any case, we're not going to have an install which could drop packages out.
It will simply cause too many question -- if you really want that behavior, it's
a simple patch ;-)

For the "asking for multiple media", please file that as a separate request.
We've talked about it in the past, but haven't decided what to do yet.

Note You need to log in before you can comment on or make changes to this bug.